## org.ascape.query.parser
Class QTProperty

    java.lang.Object
      org.ascape.query.parser.SimpleNode
          org.ascape.query.parser.QTProperty

All Implemented Interfaces:
  Node, Validated

    public class QTProperty

extends SimpleNode
implements Validated

Field Summary

Fields inherited from class org.ascape.query.parser.SimpleNode
`children, id, parent, parser`

Constructor Summary
`QTProperty(BoolExprTree p, int id)`
`QTProperty(int id)`

Method Summary
`java.lang.Object` `getComparedValue(java.lang.Object object)`
`java.lang.String` `getName()`
`java.lang.Class` `getType()`
`void` `validate(java.lang.Object object)`

Methods inherited from class org.ascape.query.parser.SimpleNode
`dump, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### QTProperty

    public QTProperty(int id)

### QTProperty

    public QTProperty(BoolExprTree p,
                      int id)

Method Detail

### validate

    public void validate(java.lang.Object object)
                  throws ParseException

  Specified by:
    `validate` in interface `Validated`
  Throws:
    `ParseException`

### getComparedValue

    public java.lang.Object getComparedValue(java.lang.Object object)
                                      throws ParseException

  Throws:
    `ParseException`

### getType

    public java.lang.Class getType()

### getName

    public java.lang.String getName()